
package com.lideeyunji.tool.framework.sql.build.build.dql;


import com.lideeyunji.tool.framework.sql.build.ISQLExpression;
import com.lideeyunji.tool.framework.sql.build.buildmodel.SQLInterpretContext;
import com.lideeyunji.tool.framework.sql.build.buildmodel.dql.SqlInfoWhereModel;
import com.lideeyunji.tool.framework.sql.core.model.SqlFormatModel;
import net.sf.jsqlparser.JSQLParserException;

/**
 * 构建where语句相关
 */
public class BuildWhere extends BuildCondition implements ISQLExpression<SqlFormatModel> {




    public BuildWhere() {
    }

    public BuildWhere(SQLInterpretContext context){
        super.context = context;
    }

    @Override
    public SqlFormatModel interpret(SQLInterpretContext context) throws JSQLParserException {
        SqlInfoWhereModel whereModel = context.getWhereModel();
        SqlFormatModel sqlFormatModel = super.context2Condition(whereModel);
        return sqlFormatModel;
    }


}
